Next Previous Contents

## 3.89 joy_unload

> Function

>   Uninstall, then unload the current joystick driver.

> Header

>   `joystick.h`

> Declaration

>   `unsigned char __fastcall__ joy_unload (void);`

> Description

>   The function uninstalls the currently installed joystick driver and removes it from memory. An error code is returned, which is `JOY_ERR_OK` if the driver was successfully uninstalled.

> Limits

>   - A joystick driver must be loaded using joy_load_driver before calling this function.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   joy_load_driver

> Example

>   None.

Next Previous Contents